
drop TABLE  if exists message;

drop TABLE  if exists  white_list;

CREATE TABLE `message` (
  `id` int(20) NOT NULL AUTO_INCREMENT COMMENT '主健',
  `process_id` VARCHAR(20) NOT NULL COMMENT '流程id',
  `source` varchar(50) NOT NULL COMMENT '事项来源',
  `title` varchar(300) NOT NULL COMMENT '标题',
  `sender_id` varchar(20) NOT NULL COMMENT '发送人ID',
  `sender_name` varchar(30) NOT NULL COMMENT '发送人',
  `publish_date` datetime NOT NULL   COMMENT '审批发布时间',
  `due_date`  datetime  COMMENT '审批截止时间',
  `finish_date`  datetime  COMMENT '办结时间',
  `receiver_id` varchar(20) NOT NULL  COMMENT '接收人ID',
  `message_type` varchar(20) NOT NULL COMMENT '消息类型',
  `task_type` varchar(20) DEFAULT NULL COMMENT '任务类型',
  `url` varchar(2000) DEFAULT NULL COMMENT '页面链接地址 ',
  `is_read` varchar(5) NOT NULL DEFAULT 'false'  COMMENT '阅件的类型/状态',
  `is_major_circulated` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否为重要传阅',
  `process_state` varchar(30) COMMENT '业务流程中的状态，例如：审批中、处理中、已处理；',
  `modified_date` datetime COMMENT '修改时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

create index idx_source_message on message(source);
create index idx_sender_message on message(sender_id);
create index idx_receiver_message on message(receiver_id);


CREATE TABLE `white_list` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `service_code` varchar(30) NOT NULL DEFAULT '' COMMENT '业务码',
  `ip` varchar(30) NOT NULL DEFAULT '' COMMENT 'ip地址',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;